Subject: Re: [BUG] git-svn parses --pretty=medium log output, fails when log.decorate is true

From: Mathias Lafeldt <[email-masked]>
Date: Tue, 05 Oct 2010 13:48:35 +0200

Will Palmer wrote:
> I started receiving this error during "git svn dcommit" today:
> 
> Use of uninitialized value $hash in string eq
> at /home/wpalmer/libexec/git-core/git-svn line 1534.
> 
> Examining that section reveals that git-svn is running 
> "git log --no-color --first-parent --pretty=medium"
> 
> and parsing the output in order to find commit hashes and git-svn-id:
> lines. This breaks when log.decorate is true.
> 
> This could be patched-up by adding "--no-decorate" to the options
> git-svn passes, but that seems to me like it would just be adding to the
> pile, as "--pretty=medium" is a moving target. I assume the correct
> solution is to specify the format exactly as it is expected.

I recently submitted a patch adding --no-decorate:
http://article.gmane.org/gmane.comp.version-control.git/156919

And it's already in Eric's git-svn branch:
git://git.bogomips.org/git-svn

-Mathias